/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements. See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.activemq.artemis.core.paging.cursor;

public interface PagePosition extends Comparable<PagePosition> {

   // The recordID associated during ack
   long getRecordID();

   // The recordID associated during ack
   void setRecordID(long recordID);

   long getPageNr();

   int getMessageNr();

   int getFileOffset();

   long getPersistentSize();

   void setPersistentSize(long persistentSize);

   PagePosition nextPage();

}
